/**
 * Definitions of common routines for displaying data to the user
 *
 * This file is part of DCC Monitor.
 *
 * Copyright 2007, 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_DISPLAY_H
#define FILE_DISPLAY_H

#include "global.h"

/**
 * Dumps a frame on stdout in hexadecimal format.
 */
extern void dump_hex_data (struct s_frame *frame);

/**
 * Starts a line on stdout for reporting frame data.
 */
extern void start_output_line (struct s_frame *frame);

#endif // ndef FILE_DISPLAY_H
