/**
 * UART routine emulation header file
 *
 * This header file is purely for easy emulation of tests. 
 * It defines the uart0_put() function to do nothing.
 *
 * Emulation of functions using uart0_put() cannot be emulated properly; sending
 * functions should use comm_start_frame() and companions. Functions using
 * uart0_put() should be checked for correctness explicitly, not using
 * emulation.
 *
 * This file is part of DCC Monitor.
 *
 * Copyright 2007, 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_TESTS_UART_H
#define FILE_TESTS_UART_H

#define uart0_put(DUMMY)

#endif // ndef FILE_TESTS_UART_H
